[arch-commits] Commit in libxrandr/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:12:32 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:12:32
  Author: jgc
Revision: 4356

Merged revisions 2-4355 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxrandr/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4332 | jgc | 2008-07-06 17:39:05 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: libxrandr 1.2.3-1
........

Modified:
  libxrandr/repos/extra-x86_64/	(properties)
  libxrandr/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)


Property changes on: libxrandr/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /libxrandr/trunk:1
   + /libxrandr/trunk:1-4355

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-06 19:11:44 UTC (rev 4355)
+++ extra-x86_64/PKGBUILD	2008-07-06 19:12:32 UTC (rev 4356)
@@ -2,21 +2,23 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxrandr
-pkgver=1.2.2
+pkgver=1.2.3
 pkgrel=1
 pkgdesc="X11 RandR extension library"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
-depends=('libxext' 'libxrender' 'randrproto>=1.2.1')
+depends=('libxext>=1.0.4' 'libxrender' 'randrproto>=1.2.2')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXrandr-${pkgver}.tar.bz2)
+md5sums=('5cd67cc02a50c9644ba0a1846ea3b08e')
 
 build() {
   cd ${startdir}/src/libXrandr-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('1b244b5d19f0ccab01d7083436cd3558')





More information about the arch-commits mailing list